--[[
 * sota_point_of_interest_system.lua
 * Copyright (C) 2022 Garritt Grandberg (aka Tirrag/peace-n-love)

   sota_point_of_interest_system is free software: you can redistribute it and/or modify it
   under the terms of the GNU Lesser General Public License as published
   by the Free Software Foundation, either version 3 of the License, or
   (at your option) any later version.

   sota_point_of_interest_system is distributed in the hope that it will be useful, but
   WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
   See the GNU Lesser General Public License for more details.

   You should have received a copy of the GNU Lesser General Public License
   along with this program.  If not, see <http://www.gnu.org/licenses/>.
   
	----------------------------------------------------------------------------
	
	sota_point_of_interest_system can be found on the SotA forums at
	https://www.shroudoftheavatar.com/forum/index.php?threads/point-of-interest-system.172379/

	depends on SotA Event System (included)
	https://www.shroudoftheavatar.com/forum/index.php?threads/sota-event-system-addon.172117/

	----------------------------------------------------------------------------
	changes
	----------------------------------------------------------------------------
	v0.01 - initial release
	v0.02 - fixed issue where if a scene did not have any points when it was added no points would show until reload
	v0.03 - added several new commands. use (!pois help) for a command list.
	v0.04 - added more new commands. use (!pois help) for a command list.
	v0.05 - added ability to export all points in a scene or all points for use in point libraries.
	v0.06 - fixed bug in point export that resulted in only the last point being loaded.
	v0.07 - fixed bug in library loader where loading was out of sequence.
	v0.08 - fixed bug in library loader where libraries were overriding local points.  fixed issue where commands were not restricted to local and by the player.  updated rename help text to the correct command.
	----------------------------------------------------------------------------
]]

local ScriptName = "Point of Interest System (POIS)";
local Version = "0.08";
local CreatorName = "Garritt Grandberg (aka Tirrag/peace-n-love)";
local Description = "System to manage and display points of interest in a scene";
local IconPath = "pois/pois_icon.png";

function ShroudOnStart()
	POIS_ui = SES.utility.loadmodule("pois/modules/POIS-ui")()
	POIS_core = SES.utility.loadmodule("pois/modules/POIS-core")()	
end
